Create Column

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/column
API call form
Examples
List of examples
  • Create hierarchy column
  • Create hierarchy column and associate to dataset
  • Create a derived column
Description

Create a hierarchy column. After creation, associate the column to a dataset.

Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "8014daa9-bc79-42ee-b71d-81dc1525a3c8",
  "name": {
    "en": "Purchase id"
  },
  "description": null,
  "order": 1,
  "source_name": "Purchase id",
  "type": "hierarchy",
  "subtype": null,
  "format": "",
  "informat": "hierarchy",
  "previous_datetime_informat": null,
  "color": "#3182bd",
  "prefix": null,
  "suffix": null,
  "isLabel": false,
  "minBound": null,
  "maxBound": null,
  "cardinality": null,
  "lowestLevel": 0,
  "highestLevel": 0,
  "minimum": null,
  "maximum": null,
  "expression": null,
  "derivation": null,
  "version": 0,
  "width": 170,
  "hierarchy_enabled": false,
  "ordering_enabled": false,
  "colors_enabled": true,
  "aggregation_type": "sum",
  "custom_aggregations": null,
  "custom_metadata": null,
  "duration_levels": null,
  "duration_format": "long",
  "created_at": "2024-01-16T15:21:37.924Z",
  "updated_at": "2024-01-16T15:21:37.924Z",
  "securable_id": "807623f5-ac65-4022-bc87-595b412ce397",
  "aggregation_id": null,
  "currency_id": null
}